Accounts
Account Manage Update
Update staff-managed account lifecycle fields.
Update staff-managed account lifecycle fields.
PATCH
/accounts/{account_id}storyden-session<token>
In: cookie
Path Parameters
account_id*string
Account ID.
Format
xidRequest Body
application/json
handle?string
The unique @ handle of an account.
name?string
The account owners display name.
bio?string
The rich-text bio for an account's public profile.
signature?string
The rich-text signature shown beneath a member's posts.
interests?array<>
links?array<>
meta?
Arbitrary metadata for the resource.
admin?boolean
Response Body
application/json
application/json
curl -X PATCH "https://loading/api/accounts/cc5lnd2s1s4652adtu50" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "cc5lnd2s1s4652adtu50",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"misc": {},
"joined": "2019-08-24T14:15:22Z",
"suspended": "2019-08-24T14:15:22Z",
"handle": "Southclaws",
"name": "Barnaby Keene",
"roles": [
{
"id": "cc5lnd2s1s4652adtu50",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"misc": {},
"name": "string",
"colour": "string",
"permissions": [
"CREATE_POST"
],
"meta": {},
"badge": true,
"default": true
}
],
"bio": "<body><p>hi, my name is</p><p>southclaws</p></body>",
"signature": "<body><p>Sent with love from London!</p></body>",
"links": [
{
"text": "string",
"url": "string"
}
],
"meta": {},
"verified_status": "none",
"email_addresses": [
{
"id": "cc5lnd2s1s4652adtu50",
"email_address": "hello@storyden.org",
"verified": true
}
],
"notifications": 0,
"admin": true,
"invited_by": {
"id": "cc5lnd2s1s4652adtu50",
"joined": "2019-08-24T14:15:22Z",
"suspended": "2019-08-24T14:15:22Z",
"handle": "Southclaws",
"name": "Barnaby Keene",
"signature": "<body><p>Sent with love from London!</p></body>",
"roles": [
{
"badge": true,
"default": true,
"id": "cc5lnd2s1s4652adtu50",
"name": "string",
"colour": "string",
"meta": {}
}
]
}
}Empty
Empty
Empty
{
"error": "string",
"message": "string",
"suggested": "string",
"metadata": {}
}Account Manage Create POST
Create a human account without creating an authentication method. This is intended for admin and integration driven account provisioning.
Account Moderation Note Create POST
Create an internal moderation note for an account. Notes are immutable and always include the author and timestamp for auditing.